{
  lib,
  config,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.wofi;
in {
  options.marleyos.programs.wofi.enable = mkEnableOption "wofi";

  config = mkIf cfg.enable {
    programs.wofi = {
      enable = true;
    };
  };
}
